Bug 137396 - Segmentation errors in odbc use.
Segmentation errors in odbc use.
Product: Fedora
Classification: Fedora
Component: unixODBC (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-10-27 22:15 EDT by John Floyd
Modified: 2013-07-02 23:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 15:58:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Floyd 2004-10-27 22:15:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
Using fc2 core odbc packages previous running programs from fc1 get
segmentation errors.  Traced this back to odbc.

Downloaded and implemented latest upstream odbc package and all works
without any other changes.

Note tests during DBD:ODBC install (perl) worked ok but not existing
production scripts.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run existing production perl odbc scripts - segmentation errors.
2. Strace show errors at odbc level not perl.
3. Is intermiitent - perl DBD:ODBC install and test runs ok.
4. Change perl scripts to use DBI:mysql interface and all still runs.
5. Compile and install unixODBC-2.2.10 and scripts now run once again.

Actual Results:  Segmentaion errror on first DB access after connecting.

Expected Results:  DB access

Additional info:
Comment 1 Tom Lane 2004-10-28 10:29:04 EDT
I can't really do much with a bug report that references scripts that
you aren't showing me :-(.  Could you extract a self-contained test
case and attach it to this report?
Comment 2 John Thacker 2006-10-25 15:58:01 EDT
Closed per lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.